package com.ozs.service.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ozs.service.entity.MsgWebPush;
import com.ozs.service.mapper.MsgWebPushMapper;
import com.ozs.service.service.MsgWebPushService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @Author : sunhh
 * @create 2023/3/15 14:34
 */
@Service
public class MsgWebPushServiceImpl extends ServiceImpl<MsgWebPushMapper, MsgWebPush> implements MsgWebPushService {
    @Autowired
    private MsgWebPushMapper msgWebPushMapper;

    @Override
    public int read(MsgWebPush msgWebPush) {
        // 状态：1未读；2已读
        msgWebPush.setStatus(2);
        return msgWebPushMapper.updateById(msgWebPush);
    }
}
